<?php
/*
Plugin Name: GI2MO Plugin
Plugin URI: http://www.gi2mo.org/
Description: Adds the ability to export <a href="http://www.gi2mo.org/">GI2MO metadata</a> from selected posts in WordPress blog. 
Author: Adam Westerski
Version: 0.1
Author URI: http://adamwesterski.com/
*/ 
	
//****************** adding annotate button to wp post edit toolbar
	function gi2mo_admin_head() {
		echo '<script type="text/javascript">';
		require_once('js.php');
		echo '</script>';
	}
	
//****************** adding custom rendering of the post text (to replace class=gi2mo_idea with RDFa
	function gi2mo_shortcode_handler($atts, $content=null, $code="") {
		// $atts    ::= array of attributes
		// $content ::= text within enclosing form of shortcode element
		// $code    ::= the shortcode found, when == callback name
		$sioc_plugin = true; //indicates if SIOC plugin is installed
		global $post;
		

		//$output .= "post id: ".var_dump($post);
		
		
		$output = "<div typeof=\"gi2mo:idea\">";
		if($atts['title']) $output .= "<meta property=\"dcterms:title\" content=\"".$atts['title']."\"/>";
		if ($sioc_plugin==true) $output .= "<meta rel=\"gi2mo:hasCreator\" href=\""."http://" . $_SERVER[HTTP_HOST] . $_SERVER[PHP_SELF]."?sioc_type=user&sioc_id=".$post->post_author."\"/>";
		$output .= "<meta rel=\"foaf:page\" href=\"".htmlspecialchars(get_permalink())."\"/>";
		$output .= "<meta property=\"dcterms:created\" content=\"".mysql2date('Y-m-d\TH:i:s\Z', $post->post_date_gmt)."\"/>";
		$output .= "<div property=\"gi2mo:content\">";

		$output .= do_shortcode($content);
		$output .= "</div>";
		$output .= "</div>";
		
		return ($output);
		
	}

//**************add RDFa namespace
function schema($attr) {
	$attr .= "\n xmlns:gi2mo=\"http://purl.org/gi2mo/ns#\""; //gi2mo namespace
	$attr .= "\n xmlns:foaf=\"http://xmlns.com/foaf/0.1/\""; //foaf namespace 
	$attr .= "\n xmlns:dcterms=\"http://purl.org/dc/terms/\""; //dcterms namespace 
	return $attr;
}
	

//adding actions
add_action('admin_head', 'gi2mo_admin_head');


add_shortcode('gi2mo_idea', 'gi2mo_shortcode_handler'); // adding filters for gi2mo shortcode in the editor
add_filter('language_attributes', 'schema'); //add namespace for RDFa

?>
